lz4c(1)

NAME
lz4c - Tool using Fast LZ compression algorithm library

SYNOPSIS
lz4c [options] file ...

DESCRIPTION
LZ4 is a very fast lossless compression algorithm. This uses Dictionary compression, and only supports compression and decompression unit blocks.
Infomation about compression ratio and speed (from webpage of lz4): single thread, Core 2 Duo @3GHz, using the Open-Source Benchmark program by m^2 compiled with GCC v4.5.2, on the Silesia Corpus.
Name Ratio C.speed D.speed
LZ4 (r59) 2.084 330 915
LZO 2.05 1x_1 2.038 311 480
QuickLZ 1.5 -1 2.233 257 277
Snappy 1.0.5 2.024 227 729
LZF 2.076 197 465
FastLZ 2.030 190 420
zlib 1.2.5 -1 2.728 39 195
LZ4 HC (r66) 2.712 18 1020
zlib 1.2.5 -6 3.095 14 210

OPTIONS:

\-H Help (this text + advanced options)

\-c0/\-c
    Fast compression (default)

\-c1/\-hc
    -c1/-hc: High compression

\-d decompression

\-y overwrite without prompting

AUTHOR
This manual page was written by Nobuhiro Iwamatsu <iwamatsu@debian.org> for the Debian GNU/Linux system (but may be used by others).